# ``twisted`.`python`.`_release`.`CheckNewsfragmentScript``

class documentation

`class CheckNewsfragmentScript: (source)`

View In Hierarchy

A thing for checking whether a checkout has a newsfragment.

Method | `__init__` | Undocumented
Method | `main` | Run the script.
Instance Variable | `_print` | Undocumented

def __init__(self, _print): (source)

Undocumented

def main(self, args): (source)
Run the script.

Parameters
args:`list` of `str` | The command line arguments to process. This must contain one string: the path to the root of the Twisted checkout.

_print = (source)

Undocumented